id: wordpress-yith-woocommerce-wishlist

info:
  name: YITH WooCommerce Wishlist Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/yith-woocommerce-wishlist/
  metadata:
    plugin_namespace: yith-woocommerce-wishlist
    wpscan: https://wpscan.com/plugin/yith-woocommerce-wishlist
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/yith-woocommerce-wishlist/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/yith-woocommerce-wishlist.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100fe6dedb56e904f43012569bc4a412014d29b81a22b22ffe7d104f057df5fc1dc022060a10872946970be354dfbf612aa053d90ba2b8c304083e8d89587dfad1fc73f:922c64590222798bb761d5b6d8e72950